{% extends "_layout.html" %}

{% block content %}
    <h1>Défi 1</h1>
    {% if username %}
        <div class="alert alert-info" role="alert">
            Bonjour <strong>{{ username }}</strong><br />
            Votre role : <strong>{{ role }}</strong>
        </div>
        <div class="alert alert-dark">
            Token : <code>{{ token }}</code>
        </div>
    {% endif %}

    <div class="accordion" id="accordionExample">
        <div class="accordion-item">
          <h2 class="accordion-header" id="headingOne">
            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
              Indice
            </button>
          </h2>
          <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
            <div class="accordion-body">
              Le token est signé. Mais est-ce que la signature est vraiment vérifiée ?
            </div>
          </div>
        </div>
      </div>

    <form method="post" enctype="multipart/form-data">
        <div class="card mt-3">
            <div class="card-body">
            <div class="card-title"><h3>Connexion</h3></div>
            <div class="card-text">
        <div class="p-3">
            <label for="username" class="form-label">Nom d'usager</label>
            <input type="text" class="form-control" name="username" id="username" placeholder="Nom d'usager" required>
        </div>
        <div class="p-3">
            <label for="token" class="form-label">Token (Si laissé vide, un nouveau sera généré)</label>
            <textarea class="form-control" name="token"></textarea>
        </div>
        <div class="p-3">
            <button class="btn btn-primary">Connexion</button>
        </div>
    </div></div>
    </form>
{% endblock %}